OpenShot Audio Library | OpenShotAudio: juce::universal_midi_packets::U32ToUMPHandler Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
juce::universal_midi_packets::U32ToUMPHandler Struct Reference

`#include <juce_UMPU32InputHandler.h>`

Inheritance diagram for juce::universal_midi_packets::U32ToUMPHandler:

## Classes
class | Factory

## Public Member Functions
| U32ToUMPHandler (PacketProtocol protocol, Receiver &c)
void | reset () override
void | pushMidiData (const uint32_t *begin, const uint32_t *end, double time) override
Public Member Functions inherited from juce::universal_midi_packets::U32InputHandler

## Public Attributes
Receiver & | recipient
Dispatcher | dispatcher
GenericUMPConverter | converter

## Detailed Description

Parses a continuous stream of U32 words and emits full messages in the requested UMP format.

Definition at line 100 of file juce_UMPU32InputHandler.h.

## Constructor & Destructor Documentation

## ◆ U32ToUMPHandler()

juce::universal_midi_packets::U32ToUMPHandler::U32ToUMPHandler | ( | PacketProtocol | protocol,
|  | Receiver & | c )
| inline

Definition at line 102 of file juce_UMPU32InputHandler.h.

## Member Function Documentation

## ◆ pushMidiData()

void juce::universal_midi_packets::U32ToUMPHandler::pushMidiData | ( | const uint32_t * | begin,
|  | const uint32_t * | end,
|  | double | time )
| inlineoverridevirtual

Implements juce::universal_midi_packets::U32InputHandler.

Definition at line 134 of file juce_UMPU32InputHandler.h.

## ◆ reset()

void juce::universal_midi_packets::U32ToUMPHandler::reset | ( |  | ) |
| inlineoverridevirtual

Implements juce::universal_midi_packets::U32InputHandler.

Definition at line 128 of file juce_UMPU32InputHandler.h.

## Member Data Documentation

## ◆ converter

GenericUMPConverter juce::universal_midi_packets::U32ToUMPHandler::converter

Definition at line 147 of file juce_UMPU32InputHandler.h.

## ◆ dispatcher

Dispatcher juce::universal_midi_packets::U32ToUMPHandler::dispatcher

Definition at line 146 of file juce_UMPU32InputHandler.h.

## ◆ recipient

Receiver& juce::universal_midi_packets::U32ToUMPHandler::recipient

Definition at line 145 of file juce_UMPU32InputHandler.h.

The documentation for this struct was generated from the following file:

- juce_UMPU32InputHandler.h